# Loki::LevelMutexInfo::LevelMutexInfo::Checker Class Reference

Collaboration diagram for Loki::LevelMutexInfo::LevelMutexInfo::Checker:
[legend]

List of all members.

## Detailed Description

check on mutex to insure no class invariants were violated inside any member function. This class only gets used in debug builds, and any instance of it gets optimized away in release builds. A checker is created inside many of member functions so that it's destructor gets called when the function exits. It determines if any class invariants were violated during the function call.

The documentation for this class was generated from the following file:

- LevelMutex.h